summaryrefslogtreecommitdiff
path: root/net
diff options
context:
space:
mode:
Diffstat (limited to 'net')
-rw-r--r--net/vlan.sh4
1 files changed, 3 insertions, 1 deletions
diff --git a/net/vlan.sh b/net/vlan.sh
index 164139b..c7e5748 100644
--- a/net/vlan.sh
+++ b/net/vlan.sh
@@ -101,10 +101,12 @@ vlan_post_start()
return 0
}
-vlan_post_stop()
+vlan_pre_stop()
{
local vlan=
+ _exists || return 1
+
for vlan in $(_get_vlans); do
einfo "Removing VLAN ${vlan##*.} from ${IFACE}"
(